Package com.smartgwt.logicalstructure.widgets.form

# Class ColorPickerLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.WindowLogicalStructure
com.smartgwt.logicalstructure.widgets.form.ColorPickerLogicalStructure

public class ColorPickerLogicalStructure extends WindowLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `allowComplexMode`
  `String`
  `autoCenterOnShow`
  `String`
  `autoHide`
  `String`
  `autoPosition`
  `String`
  `basicColorLabel`
  `String`
  `blueFieldPrompt`
  `String`
  `blueFieldTitle`
  `String`
  `cancelButtonTitle`
  `String[]`
  `colorArray`
  `Color`
  `colorAsColor`
  `String`
  `colorAsString`
  `String`
  `colorButtonBaseStyle`
  `String`
  `colorButtonSize`
  `String`
  `crosshairImageURL`
  `String`
  `defaultColor`
  `String`
  `defaultOpacity`
  `String`
  `defaultPickMode`
  `String`
  `greenFieldPrompt`
  `String`
  `greenFieldTitle`
  `String`
  `hslItemHover`
  `String`
  `hslItemTitle`
  `String`
  `htmlFieldPrompt`
  `String`
  `htmlFieldTitle`
  `String`
  `hueFieldPrompt`
  `String`
  `hueFieldTitle`
  `String`
  `lessButtonTitle`
  `String`
  `lumFieldPrompt`
  `String`
  `lumFieldTitle`
  `String`
  `lumWidth`
  `String`
  `moreButtonTitle`
  `String`
  `okButtonTitle`
  `String`
  `opacitySliderLabel`
  `String`
  `opacityText`
  `String`
  `paletteMode`
  `String`
  `redFieldPrompt`
  `String`
  `redFieldTitle`
  `String`
  `rgbItemHover`
  `String`
  `rgbItemTitle`
  `String`
  `satFieldPrompt`
  `String`
  `satFieldTitle`
  `String`
  `selectedColorLabel`
  `String`
  `showCancelButton`
  `String`
  `showHarmonyRow`
  `String`
  `showModeToggleButton`
  `String`
  `showOkButton`
  `String`
  `supportsTransparency`
  `String`
  `swatchHeight`
  `String`
  `swatchImageURL`
  `String`
  `swatchWidth`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.WindowLogicalStructure

  `animateMinimize, autoCenter, autoSize, bodyColor, bodyStyle, bringToFrontOnMouseUp, canDragReposition, canDragResize, canFocusInHeaderButtons, contentLayout, contentsType, defaultMinimizeHeight, dismissOnEscape, dismissOnOutsideClick, editProxyConstructor, fillSpaceStyleName, footerControls, footerHeight, headerControlsAsCanvasArray, headerControlsAsStringArrayArray, headerSrc, headerStyle, hiliteBodyColor, hiliteHeaderSrc, hiliteHeaderStyle, isModal, keepInParentRectAsString, maximized, minimizeAcceleration, minimized, minimizeHeight, minimizeTime, modalMaskOpacity, modalMaskStyle, opacity, placement, printBodyStyle, printHeaderStyle, resizeFrom, showBody, showCloseButton, showEdges, showFooter, showHeader, showHeaderBackground, showHeaderIcon, showMaximizeButton, showMinimizeButton, showModalMask, showResizer, showShadow, showStatusBar, showTitle, src, status, title, useBackMask`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorPickerLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allowComplexMode

    public String allowComplexMode

  - ### autoCenterOnShow

    public String autoCenterOnShow

  - ### autoHide

    public String autoHide

  - ### autoPosition

    public String autoPosition

  - ### basicColorLabel

    public String basicColorLabel

  - ### blueFieldPrompt

    public String blueFieldPrompt

  - ### blueFieldTitle

    public String blueFieldTitle

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### colorAsString

    public String colorAsString

  - ### colorAsColor

    public Color colorAsColor

  - ### colorArray

    public String[] colorArray

  - ### colorButtonBaseStyle

    public String colorButtonBaseStyle

  - ### colorButtonSize

    public String colorButtonSize

  - ### crosshairImageURL

    public String crosshairImageURL

  - ### defaultColor

    public String defaultColor

  - ### defaultOpacity

    public String defaultOpacity

  - ### defaultPickMode

    public String defaultPickMode

  - ### greenFieldPrompt

    public String greenFieldPrompt

  - ### greenFieldTitle

    public String greenFieldTitle

  - ### hslItemHover

    public String hslItemHover

  - ### hslItemTitle

    public String hslItemTitle

  - ### htmlFieldPrompt

    public String htmlFieldPrompt

  - ### htmlFieldTitle

    public String htmlFieldTitle

  - ### hueFieldPrompt

    public String hueFieldPrompt

  - ### hueFieldTitle

    public String hueFieldTitle

  - ### lessButtonTitle

    public String lessButtonTitle

  - ### lumFieldPrompt

    public String lumFieldPrompt

  - ### lumFieldTitle

    public String lumFieldTitle

  - ### lumWidth

    public String lumWidth

  - ### moreButtonTitle

    public String moreButtonTitle

  - ### okButtonTitle

    public String okButtonTitle

  - ### opacitySliderLabel

    public String opacitySliderLabel

  - ### opacityText

    public String opacityText

  - ### paletteMode

    public String paletteMode

  - ### redFieldPrompt

    public String redFieldPrompt

  - ### redFieldTitle

    public String redFieldTitle

  - ### rgbItemHover

    public String rgbItemHover

  - ### rgbItemTitle

    public String rgbItemTitle

  - ### satFieldPrompt

    public String satFieldPrompt

  - ### satFieldTitle

    public String satFieldTitle

  - ### selectedColorLabel

    public String selectedColorLabel

  - ### showCancelButton

    public String showCancelButton

  - ### showHarmonyRow

    public String showHarmonyRow

  - ### showModeToggleButton

    public String showModeToggleButton

  - ### showOkButton

    public String showOkButton

  - ### supportsTransparency

    public String supportsTransparency

  - ### swatchHeight

    public String swatchHeight

  - ### swatchImageURL

    public String swatchImageURL

  - ### swatchWidth

    public String swatchWidth

- ## Constructor Details

  - ### ColorPickerLogicalStructure

    public ColorPickerLogicalStructure()